## edu.cwru.SimpleRTS.action
Class LocatedAction

    java.lang.Object
      edu.cwru.SimpleRTS.action.Action
          edu.cwru.SimpleRTS.action.LocatedAction

    public class LocatedAction

extends Action

Constructor Summary
`LocatedAction(int unitid, ActionType type, int x, int y)`

Method Summary
`int` `getX()`
`int` `getY()`
`java.lang.String` `toString()`

Methods inherited from class edu.cwru.SimpleRTS.action.Action
`createCompoundAttack, createCompoundBuild, createCompoundDeposit, createCompoundGather, createCompoundMove, createCompoundProduction, createFail, createPermanentFail, createPrimitiveBuild, createPrimitiveDeposit, createPrimitiveGather, createPrimitiveMove, createPrimitiveProduction, getType, getUnitId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocatedAction

    public LocatedAction(int unitid,
                         ActionType type,
                         int x,
                         int y)

Method Detail

### getX

    public int getX()

### getY

    public int getY()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Action`